Geographic Imager System Requirements

The following are the minimum system requirements for Geographic Imager 5.2 (recommended requirements are mentioned as necessary).


Windows Windows

  • Adobe Photoshop CS6 / CC 2015 / CC 2015.5 / CC 2017 (all including 64-bit)
  • 2 GHz or faster Intel Pentium 4 processor (Intel Core 2 Duo or better recommended)
  • Windows 7 / 8 / 10 (compatible with 64-bit versions)
  • 4 GB RAM (8 GB or higher recommended)
  • 300 MB of available hard-disk space for installation
  • DVD-ROM drive (for DVD version)
  • 1024x768 display (1280x800 recommended)

Mac Mac

  • Adobe Photoshop CS6 / CC 2015 / CC 2015.5 / CC 2017
  • Multicore Intel processor
  • Mac OS X 10.10 or higher
  • 4 GB of RAM (8 GB or higher recommended)
  • 300 MB of available hard-disk space for installation
  • DVD-ROM drive (for DVD version)
  • 1024x768 display (1280x800 recommended)

Notes

Adobe Photoshop CC 2015 is officially deprecated in Geographic Imager 5.2.

Mac OS X 10.9 is officially deprecated in Geographic Imager 5.2.

macOS 10.12 is officially supported in Geographic Imager 5.2.

Not all foreign language versions of Adobe Photoshop may be supported. Ccontact support@avenza.com for more information.

 

See complete product compatibility.

 
Products Download Purchase Resources Support About Us

 

 


   Join us on FacebookFollow us on TwitterWatch us on YouTubeConnect with us on LinkedIn

 

Avenza Maps
MAPublisher
MAP FME Auto
Geographic Imager
MAPdata
MAPdataCanada
MAPdataUSA
MAPdataWorld
MajorCitiesUSA
Avenza Maps
MAPublisher
Geographic Imager
MAPdataCanada
MAPdataUSA
MAPdataWorld
MajorCitiesUSA
Order by Phone
Order by Fax
Order by Email
Order Online
Direct Download
Resellers
Resources Blog
Map Awards
Map Gallery
Training Courses
YouTube Channel
Styles & Symbols
Web Author API
Contact Support
User Guides and Tutorials
User Forums & FAQ
Product Compatibility
Product Activation
Retrieve/Move License
Renew Maintenance
Maintenance Login
History
Careers
Contact
News
Events